console-common (0.7.89) unstable; urgency=medium

  [Felipe Sateler]
  * Drop keymap.sh script, superseded in favor of console-setup
   Closes: #796606, #677314, #276220, #516002, #723987.

  [Alastair McKinstry]
  * Move to Standards-Version: 3.9.6
  * If 'machine' not in /proc/cpuinfo, use 'platform'. Closes: #502897.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 01:04:20 +0000

console-common (0.7.88) unstable; urgency=medium

  * Remove optional dependency on console-tools, which has been removed.
  * Now at Standards-Version: 3.9.5 
  * Move to DH_COMPAT=9 
  * Remove obsolete breaks/replaces from control, referring to versions
    nearly a decade old. Ditto old code in postinst.
  * remove references to /usr/bin/unicode_* shipped in console-tools. from
    keymap.sh; use "command -v unicode_*" instead.
  * kbd no longer depends on console-common; Closes: #427923.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 09:09:27 +0000

console-common (0.7.87) unstable; urgency=low

  * Drop dependency on $remote_fs that accidentally leaked in 0.7.86
    init script. Closes: #650995

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Dec 2011 21:08:35 +0100

console-common (0.7.86) unstable; urgency=low

  * Drop splashy-related code in /etc/init.d/keymap.sh
    This will also allow /run transition
    Closes: #633048
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #599849
  * Add init.d status support. Thanks to Peter Eisentraut
    for the patch. Closes: #642054
  * Add build-arch and build-indep targets in debian/rules
  * Bump Standards to 3.9.2 (checked)
  * Bump debhelper compatibility level to 8

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 18:04:57 +0100

console-common (0.7.85) unstable; urgency=low

  * Update Standards-Version to 3.8.3 (checked)
  * Switch to 3.0 (native) source format

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Nov 2009 19:35:27 +0100

console-common (0.7.84) unstable; urgency=low

  * Use "dpkg --print-architecture" instead of obsolete
    "--print-installation-architecture" in install-keymap
    Thanks to Thomas Viehweger for the bug report and patch
    Closes: #552318

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 20:42:09 +0100

console-common (0.7.83) unstable; urgency=low

  * Use X-Interactive in LSB headers. Closes: #538436

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Jul 2009 18:44:36 +0200

console-common (0.7.82) unstable; urgency=low

  * Restore Greek debconf translation from #499003
  * /usr/share/debhelper/dh-consoledata/common.pl:
    Turn the obsolete call to "dpkg --print-installation-architecture"
    into "dpkg --print-architecture". Closes: #537201
  * Update Standards to 3.8.2 (checked, no change)

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Jul 2009 20:17:13 +0200

console-common (0.7.81) unstable; urgency=low

  * Resynchronise debian/keymap.sh with console-screen.sh from
    console-tools, fixing dubious grepping of /etc/environment and
    /etc/default/locale. Closes: #506317
    Thanks to careful Ubuntu maintainers and special thanks to Colin Watson.
  * No longer hardcode install-keymap path (thanks, lintian)
  * Update Standards to 3.8.1 (checked, no change, particularl, 
    keymap.sh is not meant to be sourced)
  * Lintian fix: add ${misc:Depends} to binary packages dependencies as they
    use debhelper
  * Debconf translations:
    - Esperanto. Closes: #512409
    - Asturian added. Closes: #518978
    - Bengali added.
  * Programs translations:
    - Bulgarian added. Closes: #513207
    - Bengali added.

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 May 2009 08:26:58 +0200

console-common (0.7.80) unstable; urgency=low

  * Debconf translations:
    - Greek. Closes: #499003
    - Khmer.
    - Ukrainian.
    - Wolof.
    - Gujarati. Closes: #500203

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Sep 2008 20:29:55 +0200

console-common (0.7.79) unstable; urgency=low

  * Update Standards to 3.8.0
  * Debconf translations:
    - Slovak. Closes: #484557
    - Hebrew. Closes: #481573
    - Hungarian. Closes: #480787
    - Indonesian. Closes: #480833
    - Programs translations:
    - Slovak.

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Jun 2008 19:43:47 +0200

console-common (0.7.77) unstable; urgency=low

  * /etc/init.d/keymap.sh: avoid messing up with splashy
    Thanks to John Hughes and Marc Haber. Closes: #473129
  * Debconf translations:
    - Bulgarian. Closes: #478430
    - Catalan (sent directly by orestes Mas)
    - Albanian (sent directly by Elian Myftiu)
    - Polish (sent directly by Wiktor Wandachowicz)
    - Turkish. Closes: #480474
    - Brazilian Portuguese.
    - Hungarian. Closes: #480787
    - Indonesian. Closes: #480833
    - Hebrew. Closes: #481573

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Apr 2008 09:16:42 +0200

console-common (0.7.76) unstable; urgency=low

  * install-keymap: drop hardcoded path to utilities. Thanks to
    Michael Schutte for the patch
    Closes: #475688

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Apr 2008 15:43:58 +0200

console-common (0.7.75) unstable; urgency=low

  [ Debconf translations ]
  * Finnish. Closes: #475450
  * Marathi

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2008 18:10:25 +0100

console-common (0.7.74) unstable; urgency=low

  [ Debconf translations ]
  * Simplified Chinese. Closes: #462896
  * Arabic. Closes: #467089
  * Norwegian Bokmål. Closes: #467349
  * Slovenian
  * Romanian. Closes: #468953

  [ Christian Perrier ]
  * Fix keymap.sh to better set CHARMAP. Thanks to Uwe Kleine-König
    for the patch. Closes: #283788

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2008 17:39:42 +0100

console-common (0.7.73) unstable; urgency=low

  * Revert the use of a flag file to avoid displaying the keymap 
    policy question when run from D-I. This will be done by
    preseeding the debconf database. Closes: #457023

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Dec 2007 17:00:58 +0100

console-common (0.7.72) unstable; urgency=medium

  [ Debconf translations ]
  * Dutch. Closes: #447283,  #449021
  * Korean. Closes: #447837

  [ Christian Perrier ]
  * Updated Standards to 3.7.3 (checked)
  * Urgency bumped to medium for D-I purposes
  * Don't display the keymap policy question when console-data is installed
    from debian-installer as that takes care of setting up the correct keymap
    itself. Thanks to Frans Pop for the patch. Closes: #452331.

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Dec 2007 23:39:48 +0530

console-common (0.7.71) unstable; urgency=low

  [ Debconf translations ]
  * Slovak updated. Closes: #446422
  * Arabic updated. Closes: #433294
  * Slovak updated. Closes: #433346

  [ Christian Perrier ]
  * Test for the presence of /proc in the init script to
    allow installing console-common on systems without /proc
    directory. Closes: #392798
  * Remove several old chunks of code dealing with pre-etch transitions
    from the preinst script. This also removes a
    read-in-maintainer-script lintian warning.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2007 12:40:30 +0200

console-common (0.7.70) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.
    Closes: #432649, #435123

  [ Debconf translations ]
  * Marathi added. Closes: #416808
  * Esperanto added. Closes: #421724
  * Japanese. Closes: #433205
  * Galician. Closes: #433219
  * French
  * Italian. Closes: #433562
  * Vietnamese. Closes: #433722
  * Basque. Closes: #433749
  * Czech. Closes: #433995
  * Russian. Closes: #434174
  * Traditional Chinese.
  * Spanish. Closes: #434675
  * Lithuanian. Closes: #434960
  * German. Closes: #435038
  * Portuguese. Closes: #435296
  * Nepali. Closes: #435351
  * Swedish. Closes: #435338
  * Thai. Closes: #433428

  [ Programs translations ]
  * Marathi added. Closes: #416808
  * Esperanto added. Closes: #421720

  [ Christian Perrier ]
  * Lintian fixes:
    - no longer set debhelper compatibility with DH_COMPAT but with
      debian/compat

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Aug 2007 18:25:19 +0200

console-common (0.7.69) unstable; urgency=low

  [ Debconf translations ]
    - Slovenian updated. Closes: #405580

 -- Christian Perrier <bubulle@debian.org>  Wed, 10 Jan 2007 20:23:33 +0100

console-common (0.7.68) unstable; urgency=low

  [ Debconf translations ]
    - Bosnian updated. Closes: #396658

 -- Christian Perrier <bubulle@debian.org>  Fri,  3 Nov 2006 07:42:15 +0100

console-common (0.7.67) unstable; urgency=low

  [ Programs translations ]
    - Albanian updated. Closes: #394826

  [ Debconf translations ]
    - Albanian updated. Closes: #394828
    - Croatian updated. Closes: #395097
    - German updated. Closes: #394227
    - Italian updated.

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Oct 2006 20:01:43 +0200

console-common (0.7.66) unstable; urgency=medium

  [ Debconf translations ]
    - Norwegian Bokmål updated. Closes: #393529

  [ Alastair McKinstry ]
  * Fix unsightly scripting error in preinst. 
    Closes: #393300, #392717, #392777, #393479.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Oct 2006 21:23:29 +0100

console-common (0.7.65) unstable; urgency=low

  [ D ebconf translations ]
    - Danish updated.
    - Norwegian Bokmål updated. Closes: #393529

  [ Ch ristian Perrier ]
  * Quote $errors in preinst. Closes: #392717

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Oct 2006 08:58:37 +0200

console-common (0.7.64) unstable; urgency=low

  * Ensure preinst does not fail is /usr/local is read-only.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2006 16:10:05 +0000

console-common (0.7.63) unstable; urgency=high

  [ Debconf translations ]
    - Khmer updated. Closes: #374924
    - Greek updated.
    - Romanian updated. Closes: #391434
    - Turkish updated. Closes: #391603
    - Arabic updated (from Arabeyes CVS).

  [ Alastair McKinstry ]
  * Ensure postinst does not fail is /usr/local is read-only. Closes: #392508.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2006 15:54:39 +0000

console-common (0.7.62) unstable; urgency=low

  [ Debconf translations ]
    - Wolof added.
    - Khmer updated (#388195)
    - Swedish updated (#388195)
    - Galician updated (#388195)
    - Portuguese updated (#388195)
    - Catalan updated (#388195)
    - Slovak updated (#388195)
    - Dzongkha updated (#388195)
    - Thai updated (#388195)
    - Hungarian updated (#388195)
    - Finnish updated (#388195)
    - Japanese updated (#388195)
    - Korean updated (#388195)
    - Brazilian Portuguese updated (#388195)
    - Hebrew updated (#388195)
    - Dutch updated (#388195)
    - French updated (#388195)
    - Lituanian updated (#388195)
    - Russian updated (#388195)
    - Slovenian updated (#388195)
    - Spanish updated (#388195)
    - Polish updated (#388195)
    - Nepali updated
    - Czech updated
    - Vietnamese updated. Closes: #388554
    - Basque updated. Closes: #390324
    - Ukrainian updated.

  [ Ubuntu patches ]
  * debian/keymap.sh: Don't run if setupcon (from console-setup) is present.

  [ Christian Perrier ]
  * debian/keymap.sh: Refinement to LSB headers by Petter Reinholdtsen:
    only start in rcS, do not stop in 0 1 6
  * Add self to Uploaders
  * Refine test for /proc being mounted or not to handle cases where /proc/1
    does not exist. Thanks to Sam Hocevar for pointing this. Closes: #387786
  * Rewritten templates for Developer's Reference compliance. Closes: #388195
  * console-data/keymap/powerpcadb turned into a boolean template

  [ Alastair McKinstry ]
  * Remove typo from getkmapchoice.pl.in. Closes: #378950.

 -- Christian Perrier <bubulle@debian.org>  Sun,  1 Oct 2006 07:56:48 +0200

console-common (0.7.61) unstable; urgency=low

  [ Programs translations ]
    - Dzongkha added. Closes: #382963

  [ Christian Perrier ]
    - Patch from Petter Reinholdtsen to avoid dependency loop involving
      keymap.sh in init scripts. Removes the dependency on $syslog and replace
      Required-Start on mountvirtfs by mountdevsubfs. Closes: #386338

  [ Alastair McKinstry ]
  * Move to DH_COMPAT=5. No changes required.
  * Moved debhelper dependency from Build-Indep-Depends: to Build-Depends:

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  7 Sep 2006 11:53:15 +0100

console-common (0.7.60) unstable; urgency=low

  * Expanded LSB information in /etc/init.d/keymap.sh.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Jul 2006 13:35:38 +0100

console-common (0.7.59) unstable; urgency=low

  [ Debconf translations ]
    - Thai added. Closes: #367469
    - Nepali added. Closes: #372866
    - Khmer added. Closes: #374924
    - Dzongkha added.

  [ Programs translations ]
    - Thai added. Closes: #367469
    - Khmer added. Closes: #374921

  [ Alastair McKinstry ]
  * Move to Standards-Version: 3.7.2 ; no changes required.
  * Depend on kbd | console-tools, instead of console-tools | kbd.
    Prefer kbd for etch, and to help remove circular dependency
    with console-tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Jul 2006 08:07:12 +0100

console-common (0.7.58) unstable; urgency=low

  * Don't use == in keymap.sh: dash doesn't like it. Closes: #364704 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2006 09:41:50 +0100

console-common (0.7.57) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Hungarian updated. Closes: #364279

  [ Alastair McKinstry ]
  * Change Priority from important to optional, to match overrides.
  * keymap.sh: If /etc/default/locale exists, read it instead of 
    /etc/environment to detect if we should use UTF-8. Closes: #362429.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Apr 2006 21:13:53 +0100

console-common (0.7.56) unstable; urgency=low

  * Acknowledging NMU with thanks: Closes: #351987, #344635.
  * Correct LSB runtime info, thanks to Petter Reinholdsen. Closes: #361052.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  9 Apr 2006 21:08:18 +0100

console-common (0.7.55.1) unstable; urgency=low

  * Non-maintainer upload to get a few translations in
    or corrected
  * Programs translations:
    - Greek updated. Closes: #344635
    - Slovenian added. Closes: #351987
    - Arabic corrected (variable errors)
  * Debconf translations:
    - Greek updated. Closes: #344635
    - Slovenian added. Closes: #351987

 -- Christian Perrier <bubulle@debian.org>  Thu,  9 Feb 2006 08:13:20 +0100

console-common (0.7.55) unstable; urgency=low

  * Remove exits from /etc/init.d/keymap.sh so it can be sourced, as per
    policy. Closes: #340689.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Nov 2005 20:27:21 +0000

console-common (0.7.54) unstable; urgency=low

  * Depend on debconf | debconf-2.0. Closes: #331780.
  * Provide dependency information in LSB format in keymap.sh.
    Thanks to Petter Reinholdsen. Closes: #330231.
  * Change to new FSF address. 
  * Remove bashism from console-common.preinst

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Oct 2005 20:16:11 +0100

console-common (0.7.53) unstable; urgency=low

  * Program Translations:
    - Arabic updated by Abdulaziz Al-Arfaj.
  * Patch from Ubuntu:
    - Fix some references to console-common where it should be console-data.
    - Use lsb-base to pretty keymap.sh init script, and add depends.
  * Move to DH_COMPAT=4
    - no longer need console-common.conffiles; debhelper does this
      automatically.
  * Add lintian overrides to silence irrelevant warning of 'not-a-registry'. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  5 Aug 2005 13:49:00 +0100

console-common (0.7.52) unstable; urgency=low

  * Debconf translations:
    - Updated Bosnian. Closes: #302756
    - Updated Basque. Closes: #306044
    - Added Vietnamese. Closes: #307009
  * Programs translations:
    - Updated Basque. Closes: #306044
    - Added Vietnamese. Closes: #307010
    - Added Galician, thanks to  Jacobo Tarrio. Closes: #318389.
  * Fixed duplicated dependencies. Closes: #309609.
  * Move to Standards-Version: 3.6.2. No changes required.
  * Rename kbdconfig to kbd-config to match other *-config utilities.
    Closes:  #306092.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 15 Jul 2005 14:07:11 +0100

console-common (0.7.51) unstable; urgency=low

  *  Use 'tail -n 1' rather than 'tail -1' in install-keymap. Closes: #296263. 
  * Debconf translations:
    - Added Galician by Jacobo Tarrio. Closes: #296424.
    - Added Albanian by Elian Myftiu. Closes: #302407, #302410
  * config.in: Do correct check on boot keymap hash; don't incorrectly
    assume its changed. Closes: #282693.
  * zh_CN.po: changed comma in template to one accepted by debconf code;
    silences warning from lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Feb 2005 22:06:54 +0000

console-common (0.7.50) unstable; urgency=low

  * Remove Martin Michlmayer as uploader.
  * Translations:
    - Tagalog programs and debconf translation added. Closes: #295038
    - Improved zh_TW by Tetralet.
  * install-keymap: add '-q' to loadkeys call; its output was causing silent
    failures in debconf code. Closes: #272480. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Feb 2005 13:45:00 +0000

console-common (0.7.49) unstable; urgency=low

  * debian/keymap.sh: Don't generate errors when LANG/LC_ALL/LC_CTYPE is set
    more than once in /etc/environment (closes: Ubuntu #4810).
    Closes: #275829.
  * dh_consoledata: do a 'tail -1' to getkmapchoices output to cope with
    LANG, LC_ALL, LC_CTYPE set during install.
    (Needed to close #263779, #282459 in console-data)
  * kbdconfig: reconfigures console-data not console-common, so correct the
    warning. Closes: #261623.
  * Fix lack of comma error in German translation (thanks Lintian). 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  6 Feb 2005 13:00:25 +0000

console-common (0.7.48) unstable; urgency=low

  * Translations
    - Traditional Chinese programs translation added. Closes: #277877
    - Romanian programs translation added. Closes: #281365
    - Romanian debconf translation added. Closes: #281574
   * Colin Watson:
      - Use 'pc' keymaps on amd64. Closes: #281680.
  * getkmapchoice.pl: fix typo that breaks reconfigure on some archs
    Closes: #285921

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2004 20:49:02 +0000

console-common (0.7.47) unstable; urgency=low

  * Translations:
    - Fix to de.po by  Michael Piefel. Closes: #257875, #260520.
    - Greek translation by George Papamichelakis. Closes: #259347.
    - Brazilian Portuguese unfuzzied by André Luís Lopes.
    - Fix fr.po by Christian Perrier
    - update all PO files according to install-keymaps.pot
    - Portugese program translation update pt.po
    - Danish program translation update da.po by Claus Hindsgaul
    - Initial Croatian hr.po by Kruno + Update
    - Update German program translation de.po by Dennis Stampfer
    - Arabic added by commiting translations from Arabeyes CVS
    - Spanish update to install-keymap.pot by Rudy Godoy.
      Closes: #260182.
    - Basque update thanks to Piarres Beobide Egaña. Closes: #260324.
    - Italian update thanks to Danilo Piazzalunga. Closes: #260407.
    - Swedish translation thanks to Per Olofsson. Closes: #261594.
  * Depend on up-to-date console-tools or kbd, so we get a vt-is-UTF8
    that doesn't hang. Closes: #261473.
  * Correct typo in TEXTDOMAIN name in install-keymap script.
    Closes: #260226.
  * On error in getkmapchoice.pl.in, don't die horribly; instead
    dump error into debconf's logs and return NONE, so that install-keymap
    can try to Do The Right Thing. Closes: #261500.
  * On selecting "install-keymap KERNEL", reap the conffile
    /etc/console/boottime.kmap.gz. Closes: #259500.
  * Remove any "Don\'t touch keymap" entries from debconf db, replace with
    "Don't touch keymap" so that they are parsed correctly. Closes: #254324.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jul 2004 22:07:31 +0100

console-common (0.7.46) unstable; urgency=low

  * Translations:
    - Hebrew by Lion Kaplan.
    - Italian updated by Danilo Piazzalunga. Closes: #255730.
    - Catalan updated by Orestes Mas.
  * Fix typo in preinst. Closes: #255094, #248096.
  * Change encoding in de.po from latin-9 to UTF-8. Closes: #257875.
  * start/stop unicode_mode in keymap.sh for loadkeys benefit.
    Patch from  Recai Oktas. Closes: #258681.
  * Simplify install-keymap to aid translation. Closes: #243110.
  * getkmapchoice.pl.in:
     - Don't output warnings to stderr, it chokes install-keymap.
     - If a keymap family is missing, try 'Unknown' instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Jul 2004 22:23:44 +0100

console-common (0.7.45) unstable; urgency=low

  * kbdconfig  now does 'dpkg-reconfigure console-data'. Closes: #252033. 
  * Don't use 'previous_module' in debconf. Closes: #253470, #253548.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jun 2004 21:18:59 +0100

console-common (0.7.44) unstable; urgency=low

  * Translations:
   - Polish updated by Tomasz Z. Napierala. Closes: #250874.
   - Korean updated by Changwoo Ryu. Closes: #252133.
  * Fix 'strict subs' warning in console-common.config. 
    Closes: #253252, #253305.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 9 June 2004 19:38:51 +0100

console-common (0.7.43) unstable; urgency=medium

  * Convert "Don\'t touch keymap" to "Don't touch keymap".
    Closes: #248096, #248991, #249656, #249998, #248813.
  * Make install-keymap use the install-keymap textdomain. Closes: #249283.
  * Translations:
    - Norwegian nynorsk by Håvard Korsvoll. Closes: #249680.
    - Norwegian Bokmål by Klaus Ade Johnstad. Closes: #250341.
    - Polish translations by Tomasz Z. Napierala. Closes: #249863.
    - Bosnian translations added by Safir Secerovic

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 May 2004 22:56:32 -0300

console-common (0.7.42) unstable; urgency=low

  * Clean up sources, removing old RCS dir. 
  * Delete broken Speakup templates in preinst; 
    ignore errors in preinst caused by getkeymapchoice.pl.
    Closes: #242594, #244733, #244849.
  * Translations:
    - Basque by Piarres Beobide Egaña. Closes: #244675.
    - Catalan by  Orestes Mas. Closes: #244757.
    - Hungarian update by VEROK Istvan.
    - Slovak by Peter Mann
    - Russian by Nikolai Prokoschenko. Closes: #244998.
    - Italian by Danilo Piazzalunga. Closes: #245173.
    - Turkish by Recai Oktas. Closes: #245254.
    - Spanish by Rudy Godoy. Closes: #246291.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 May 2004 20:00:57 +0100

console-common (0.7.41) unstable; urgency=low

  * getkeymapchoice.pl: Don't choose mac family on powerppc/chrp. 
    Closes: #244184.
  * Change broken debconf entries in config, not preinst. 
    Closes: #242595, #238225.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Apr 2004 18:30:33 +0100

console-common (0.7.40) unstable; urgency=low

  * Translations: 
    - Dutch by Luk Claes.
    - Japanese by Kenshi Muto
    - Hebrew by Lior Kaplan
    - Ukranian by  Eugeniy Meshcheryakov.
    - Turkish by Recai Oktas. Closes: #243105.
    - Swedish by André Dahlqvist. Closes: #243935.
  * preinst: Remove old speakup keymap entries. Closes: #242594.
  * keymap.sh: Silence unnecessary loadkeys warnings.
  * preinst, install-keymap: Don't overwrite changes to boottime.kmap.gz
    with debconf. Closes: #238225.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Apr 2004 20:07:45 +0100

console-common (0.7.39) unstable; urgency=low

  * Typo in debconf templates "cannot not" fixed. Closes:  #239774.
  * Typo in debconf templates "confffile" fixed. Closes: #241209.
  * Ensure 'full list' is not blanked. Closes: #225486.
  * Translatsions:
    - Spanish by  Rudy Godoy. Closes: #240514.
    - Portuguese by Nuno Sénic. Closes: #239667.
    - Turkish by Recai Oktas. Closes: #240938.
    - Brazilian Portuguese by Andre Luis Lopes.  Closes: #241050.
    - Korean by Changwoo Ryu. Closes: #241142.
    - Dutch by Luk Claes.

 -- Christian Perrier <bubulle@debian.org>  Wed,  7 Apr 2004 10:40:35 +0200

console-common (0.7.38) unstable; urgency=medium

  * Translations:
    - Danish by  Claus Hindsgaul. Closes: #238855.
    - German by Dennis Stampfer. Closes: #238949.
    - Lithuanian by Kęstutis Biliūnas. Closes: #239042.
    - Portuguese by Nuno Sénica. Closes: #239034.
    - Ukranian by Eugeniy Meshcheryakov . Closes: #239252.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Mar 2004 21:41:33 +0000

console-common (0.7.37) unstable; urgency=low

  * postinst-lcd-keymaps: Ensure that console-data postinst does not
    fail if console-common is not installed. Closes: #235842.
  * pt_BR.po: Improved translation by Andre Luis Lopes. Closes: #235506.
  * lt.po: Lithuanian translation by Kęstutis Biliūnas. Closes: #236135.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  8 Mar 2004 20:12:57 +0000

console-common (0.7.36) unstable; urgency=low

  * New Simplified Chinese translations from  Yongtao Yang,
    Carlos Z.F. Liu. Closes: #230607.
  * Revised Spanish translation from Javi Castelo. Closes: #233050.
  * keymap.sh: Tolerate ADB keycodes on powermacs. Closes: #222909.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2004 19:17:15 +0000

console-common (0.7.35) unstable; urgency=low

  * New Greek translations from Konstantinos Margaritis.  
    Closes: #229534, #229502, #229526.
  * Updated Japanese translation from Kenshi Muto. Closes: #227157.
  * Updated pt_BR translation from  Andre Luis Lopes. Closes: #227400.
  * New Danish translation from Morten Brix Pedersen. Closes: #227970.
  * New Czech translations from Miroslav Kure. Closes: #228746.
  * New Simplified Chinese translation from Carlos Z.F. Liu. Closes: #23607.
  * keymap.sh: Correct errors in reset_kernel(): Closes: #228041.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Feb 2004 10:10:28 +0000

console-common (0.7.34) unstable; urgency=low

  * config.in: Use numeric return codes to check for backup. 
    Closes: #222774.
  * Exit code 30 on backup to help base-config 2.0. Closes: #222771.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  5 Jan 2004 21:15:59 +0000

console-common (0.7.33) unstable; urgency=low

  * Updated Russian translation from  Ilgiz Kalmetev. Closes: #219218.
  * Removed unnecessary warning message. Closes: #218355.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Nov 2003 19:58:32 +0000

console-common (0.7.32) unstable; urgency=low

  * Updated French translation from Denis Barbier. Closes: #217872.
  * Updated Spanish translation from Carlos Valdivia Yague.
    Closes: #218099.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  4 Nov 2003 18:39:18 +0000

console-common (0.7.31) unstable; urgency=low

  * /etc/init.d/keymap.sh: Set the keyboard even if a serial console is
    present. Closes: #216557.
  * No longer depend on console-tools for fgconsole. Cope with it being
    absent, or provided by kbd.
  * Fixed confusing debconf question on powerpcadb.  Also, Don't change
    keymap if not ready for ADB transition.  Closes: #215026.
  * Changed ru_RU.po file to ru.po.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2003 20:21:40 +0000


console-common (0.7.30) unstable; urgency=low

  * Updated french translations, Thanks to Denis Barbier. Closes: #212622.
  * Set default policy to "Don't touch keymap.". In sarge, keymap will be
    set by kbd-chooser. Closes: #209063, #211997, #213664.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  9 Oct 2003 21:58:09 +0000

console-common (0.7.29) unstable; urgency=low

  * Fix epoch in Depends: on console-tools.
  * Apply minor changes to template, install-keymap.pot. Closes: #211104.
  * Include pt_BR.po translation of install-keymap. Closes: #212081.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Sep 2003 21:16:36 +0100

console-common (0.7.28) unstable; urgency=low

  * Move console-data from a Recommends: to a Depends:. Closes: #209227.
  * Updated Spanish debconf template, thanks to Carlos Valdivia. 
    Closes: #210344.
  * Japanese debconf template, thanks to  Kenshi Muto. Closes: #210511.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2003 18:49:29 +0100

console-common (0.7.27) unstable; urgency=low

  * Convert to po-debconf style templates.
  * Tidy up using debhelper.
  * Move to Standards-Version: 3.6.1.0; no changes required.
  * i18n'd install-keymap. Now looking for translators...

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Sep 2003 21:26:51 +0000

console-common (0.7.26) unstable; urgency=low

  * Examine the exit code from fgconsole properly.
    Closes: #206042, #206086, #206359, #207347, #207725, #208332, #208614.
    Closes: #203631, #208657.
  * Ensure /proc is mounted in /etc/init.d/keymap.sh. Closes: #208255.
  * Depend on console-tools > 0.2.3dbs-41, for fgconsole.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  4 Sep 2003 20:39:56 +0100

console-common (0.7.25) unstable; urgency=low

  * Don't fail /etc/init.d/keymap.sh, install-keymap if on console error.
    Closes: #204765.
  * Change references to /usr/bin/fgconsole to fgconsole ; its moving to
    /bin in current console-tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2003 21:39:08 +0100

console-common (0.7.24) unstable; urgency=low

  * Don't assume debconf entries not seen are not configured.
    Closes: #180794.
  * If questions have been seen, don't ask them again, unless changes occur.
    Closes: #55321.
  * Purge the debconf database in the preinst if there are obsolete values in
    it. Closes: #203631, #183097, #183142, #183949, #185496, #185631, #203753.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  1 Aug 2003 17:54:09 +0100

console-common (0.7.23) unstable; urgency=low

  * Change maintainer email to mckinstry@debian.org
  * Move to Standards-Version: 3.6.0; no changes required.
  * Don't try to move a file twice in install-keymap (occured when conffile
    was a symlink). Closes: #193463.
  * Remove unused code in keymap.sh. Closes: #200482.
  * Don't try to use loadkeys on serial consoles. Closes: #200788, #71704.
  * keymap.sh shouldn't search in comment lines of /etc/sysctl.conf. 
    Closes: #194474.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 15:56:22 +0100

console-common (0.7.22) unstable; urgency=low

  * Fix setup on m68k. Closes: #183647.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri,  7 Mar 2003 11:49:32 +0000

console-common (0.7.21) unstable; urgency=low

  * installkeymap: Handle new Arm RiscStation. Closes: #182883.  

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 28 Feb 2003 21:34:07 +0000

console-common (0.7.20) unstable; urgency=low

  * Fixed spellings in install-keymap.
  * install-keymap: Allow symlinked keymap file /etc/console/boottime*; give
  warning. Closes: #108401, #109212, #54950, #112854
  * keymap.sh: Ensure /proc mounted on PPC when setting keycodes.
    Closes: #177059.

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 12 Feb 2003 10:47:54 +0000

console-common (0.7.19) unstable; urgency=low

  * keymap.sh sets keycodes-related variables in /etc/sysctl.conf if present
    before setting keymap. Closes: #168602.
  * Added kbdconfig for backward-compatability. Closes: #100308. 
  Closes: #105634.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 17 Nov 2002 15:38:02 +0100

console-common (0.7.18) unstable; urgency=low

  * Previous version had bad source, somehow (CRC error???). Fixed. Closes:
    #168721. 

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 12 Nov 2002 23:26:27 +0100

console-common (0.7.17) unstable; urgency=low

  * Fix permissions on /etc/console/boottime* if they exist and are regular
    files. Closes: #141798.
  * dh_consoledata.in: Referred to dh_installmenu rather than dh_consoledata.
  * Updated Spanish translation. Closes: #166546.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun,  3 Nov 2002 23:28:49 +0100

console-common (0.7.16) unstable; urgency=low

  * Added better warning if /usr/share/keymaps missing. Closes: #94985.
  * Don't fail if we can't chmod the conffiles.Thanks to Kenneth Arnold.  Closes: #166406.
  * Added patch by Chris Tillman to make common.pl more solid.
  Closes: #131650.
  * Fixed Spanish template entry; thanks to Carlos Valdivia Yagüe; 
  Closes: #166546. 

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 27 Oct 2002 13:04:38 +0100

console-common (0.7.15) unstable; urgency=low

  * New Maintainer: Alastair McKinstry
  * Change references to /etc to /etc/console in templates. Closes: #94662.
  * "USB keyboards", not "USA keyboards" in template. Closes: #128499. 
  * Spanish template added. Closes: #110985.
  * Brazilian Portuguese template added. Closes: #103052, #144682.
  * Requires debianutils >= 1.13. Closes: #136537.
  * Handle error in /etc/init.d/keymap.sh: Closes: #115373.

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 22 Oct 2002 16:25:27 +0000

console-common (0.7.14) unstable; urgency=high

  * debian/control: since we are using debconf in console-common's
    preinst (yuck), add a Pre-Depends on debconf in accordance with
    Policy 7.2.  Closes: #143837

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 22 Apr 2002 23:17:21 +0200

console-common (0.7.13) unstable; urgency=medium

  * This release is needed for woody since it fixes two
    serious bugs for upgrades and new installations.
  * Don't fail in postinst if a console cannot be opened
    (this can happen without vga card, on ssh/serial console).
    Closes: #60565, #112202, #129242, #129643
  * Don't fail when console-data/keymap/full has a bogus value.
    This is a workaround.  I'm still not sure under which circumstances
    this occures.  However, the workaround should fix the problem
    in all situations.  Closes: #110873, #130008
  * Don't show dpkg warning when console-tools or kbd are not
    installed.  Closes: #131767

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 02 Feb 2002 17:15:01 +0100

console-common (0.7.12) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * common.pl: the grep testing for RiscPC displayed output which
    breaks debconf.  Since ARM/RiscPC and ARM has the same keymaps
    (since the last release) there is no need to test for this at all.
    The keymaps are converted on the fly on RiscPC by install-keymap
    anyway.  Thanks to Phil Blundell for giving me access to a ARM/RiscPC
    system so I could find the problem. (Closes: #126633).
  * common.pl: Define a variable so perl doesn't print ugly warning
    uring installation (Closes: #127552).
  * config.in: Update maintainer address (Closes: #127552).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 03 Jan 2002 17:00:31 +0100

console-common (0.7.11) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * common.pl: there are no "riscpc" keymaps so don't even try to use
    them.  Only use "pc" keymaps on RiscPCs since they are converted
    before loading anyway.  This should fix #126633.
  * debian/control: add myself to Uploaders.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 01 Jan 2002 14:57:34 +0100

console-common (0.7.10) unstable; urgency=medium

  * Use `tempfile --suffix .gz` instead of `tempfile`.gz in
    install-keymap (Closes: #114609).
  * Incorporate ru_RU translation into templates.

 -- Wartan Hachaturow <wart@softhome.net>  Sun,  7 Oct 2001 01:42:56 +0400

console-common (0.7.9) unstable; urgency=medium

  * NMU
  * Use = instead of == for comparison so it does not break if /bin/sh
    is /bin/ash (Closes: #111577).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 07 Sep 2001 18:30:31 +0200

console-common (0.7.8) unstable; urgency=medium

  * NMU
  * s/Standard/Programmer/ in the debconf database for the German
    entry.  This is necessary because I renamed it (see console-data
    changelog) and some still have 'Standard' in their database which
    breaks getkmapchoice.pl.  Thanks to Gergely Nagy for helping me
    debug this (Closes: #111255).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 05 Sep 2001 23:51:13 +0200

console-common (0.7.7) unstable; urgency=medium

  * NMU
  * Don't loop indefinitely on upgrades with ADB keycodes (Closes: #109666).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 23 Aug 2001 10:12:03 +0200

console-common (0.7.6) unstable; urgency=medium

  * The Edward-and-Colin-are-at-HAL-and-I-am-not NMU
  * Check if the layout template exists in debconf before calling a
    script which fails if it doesn't.  This allows console-common to
    upgrade if console-data was removed.  This is the real fix; the last
    upload only introduced a workaround which would only work for the
    future but not for current installations anyway (Closes: #96772, #97354,
    #108400).
  * Improved PowerPC ADB debconf template based on comments by Michel Dänzer.
  * Accept tab at the right spot for Acorn RiscPCs.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 12 Aug 2001 16:45:21 +0200

console-common (0.7.5) unstable; urgency=medium

  * NMU
  * Don't overwrite 'full list' choice if question is not asked (Closes:
    #108357).
  * Don't abort if no layout is found in the debconf database although
    a family is defined.  This happens when you upgrade console-common
    after removing console-data.  The full discussion can be found in
    #108400.  Instead of aborting, getkmapchoice.pl now returns NONE
    (i.e. no keymap will be loaded).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 11 Aug 2001 14:51:02 +0200

console-common (0.7.4) unstable; urgency=medium

  * NMU
  * Use a workaround if console-data/keymap/policy does not exist in the
    debconf database. (Closes: #107700).
  * Accept 'Norvegian' as well since it might be stored in some people's
    debconf database (Closes: #107828).
  * Accept tab and space when testing for the Acorn RiscPC.
  * Fix the default value for console-data/keymap/policy.
  * Use PERL_BADLANG=0 in one more call of getkmapchoice.pl.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 10 Aug 2001 14:40:25 +0200

console-common (0.7.3) unstable; urgency=medium

  * NMU
  * On PowerPC with ADB keycodes, warn the users that they should quit X
    before continuing to configure their keyboards since it might break
    the X configuration (Closes: #107484).
  * Fix stupid typo which causes only some instead of all keymaps to be
    shown in the 'full' listing.  Spotted by Brendan O'Dea.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 02 Aug 2001 23:44:49 +0200

console-common (0.7.2) unstable; urgency=medium

  * NMU
  * Show a listing of all keymaps so people with adapters or USB keyboards
    can choose the right keyboard. (Closes: #74350, #85128).  Thanks to
    Gergely Nagy <algernon@debian.org> for support and testing!  Thanks to
    Brendan O'Dea <bod@debian.org> for help with Perl.
  * export PERL_BADLANG=0 so install-keymap does not fail (Closes: #106084,
    #107134).
  * Changed the PowerPC/MAC fix for #104298 according to comments by
    Michel Dänzer <daenzer@debian.org>.  Use pc keymaps in all cases;
    if ADB keycodes are enabled, disable them and warn the user (closes
    the whole bug; my last NMU only fixed the 1st paragraph in the bug
    report, not the 2nd (the less important one).  Closes: #104298).
  * Sort list of keymaps so entries are easier to find (Closes: #94961,
    #82945).
  * s/defering/deferring/ (Closes: #106471).

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Jul 2001 00:32:33 +0200

console-common (0.7.1) unstable; urgency=medium

  * NMU to fix non-i386 RC bugs.
  * SPARC can have PC keyboards (Closes partly #74350 and #85128).
  * Make test for Acorn PCs case insensitive (finally Closes: #85629).
  * Use PC keymaps on some PowerPC machines (Closes: #104298).
  * s/differing/defering/ (Closes: #99435).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jul 2001 19:56:08 +0200

console-common (0.7) unstable; urgency=medium

  * Added support for detection of 'arm/riscpc' machines, to allow for a
    new "riscpc" family of keymaps.
  * Try to have debconf display a note when a boot-time keymap for old
    packages is found, and the selected behaviour is to not mess with the
    user's settings.  That should be enough for people using their own
    keymaps (Closes: #94221).
  * Fixed various typos in debconf templates (Closes: #94516).

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Apr 2001 23:50:07 +0200

console-common (0.6) unstable; urgency=high

  * The "Looking forward to 2.8 kernel" release.
  * Changed Build-Depends to -Indep, as there are only arch-indep packages
    here.
  * Added docbook-to-man to those, now that install-keymap has a manpage
    (Closes: #93175).
  * Moved ps2-to-riscpc from /usr/share/debhelper/dh-consoledata/ to
    /usr/share/console/ (and hence from dh-consoledata to console-common).
  * When on a RiscPC machine and trying to install a PC (PS/2) keymap,
    translate it so that it works with the current RiscPC keyboard driver.
    Hopefully the need for this hack will disappear in the 2.5 kernel
    series.  This was not done in the One True Right Way because it would
    require far more work and would impact all other archs, which I'd like
    to avoid.  So if this hackish way of doing things actually works, it
    will stay that way until we don't support 2.4 kernels any more and
    we'll all happilly forget it afterwards.
  * Ensure in postinst that we get rid of the old keymap-loading rcS.d
    scripts, which could produce bad behaviour.  This is caused by dpkg
    bug #59740 (Closes: #93363).
  * Really have 'install-keymap KERNEL' remove any previously installed
    keymap (yes, again).

 -- Yann Dirson <dirson@debian.org>  Wed, 11 Apr 2001 00:38:14 +0200

console-common (0.5) unstable; urgency=low

  * Fixed typo in install-keymap "differing" message (Closes: #88640).
  * Include kmap-to-riscpc script from Richard Atterer; install it as
    /usr/share/debhelper/dh-consoledata/ps2-to-riscpc.
  * Removed from source debhelper files that had been probably erroneously
    generated at some time for dh_consoledata.  Even on my box it did not
    cause "erroneous" owners to get into the debconf cache, so I guess it
    would be useless to attempt to purge it, bug who knows, the info is
    here.
  * Provide a manpage for install-keymaps.

 -- Yann Dirson <dirson@debian.org>  Fri,  6 Apr 2001 00:32:20 +0200

console-common (0.4) unstable; urgency=low

  * Use strict and -w, skeleton of POD doc in dh script.  Install
    manpage.
  * Use strict in the debconf script as well; changed $keymaps to
    $::keymaps to cope with this.  Conflict with old console-data using
    $keymaps.
  * Make dh script insert its necessary postinst snippet.
  * Use the dh script to build console-common.  Added a DH_LCDDIR env var
    to support this.
  * Add to substvars ${console:depends}, that should expand to a correct
    versionned dependency on console-common.  To make maintainance easy
    and less error-prone, this will always require at least the
    console-common with same version that the dh_consoledata used to
    build.  This may be suboptimal in some cases, but who cares.

 -- Yann Dirson <dirson@debian.org>  Mon,  5 Mar 2001 18:36:07 +0100

console-common (0.3) unstable; urgency=medium

  * Use << comparison instead of <= for Replaces field, so that we don't
    miss NMUs and local recompiles (Closes: #87942).
  * Use 0 and 1 instead of undefined FALSE and TRUE keywords (Closes:
    #88353).
  * Fix extended description (Closes: #88310).

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Mar 2001 12:33:59 +0100

console-common (0.2) unstable; urgency=low

  * Install /usr/share/console/lists/keymaps/, not
    /usr/share/console/lists/keymap/.  Thanks to Michael Meskes and Gordon
    Sadler for finding this one (Closes: #88227).
  * Changed priority for dh-consoledata to "extra".
  * Added clarifying message to postinst.

 -- Yann Dirson <dirson@debian.org>  Fri,  2 Mar 2001 12:14:30 +0100

console-common (0.1) unstable; urgency=low

  * Initial "Oh, yes, flame me again !" release.
  * Start with install-keymap from console-tools 1:0.2.3-17.
  * Really have 'install-keymap KERNEL' remove any previously installed
    keymap.
  * Keymap now put in /etc/console/boottime.kmap.gz.  Location change will
    allow kbd and console-tools to share as much as they should.  Filename
    changed from "default.kmap" because the latter appears to be too
    confusing.
  * Import boot-time keymap from old console-tools/kbd if any.
  * Start with console-tools' keymaps-lct as /etc/init.d/keymaps; removed
    hardcoded path to loadkeys.
  * Start with common.pl, config.in, getkmapchoice.pl.in from console-data
    1999.08.29-17.
  * Use /usr/share/console/lists/keymaps/, instead of .../keymap/.
  * Exit in error from getkmapchoice if no map was found; now postinsts
    work slightly better.
  * Install question templates for fonts, and config script with no
    keymaps.
  * getkmapchoice: do not fail on initial install, when no keymaps have
    been installed/declared.
  * Changed default policy to "Select keymap from list", as I thought was
    already done.
  * install-keymap: if no console-utility is installed, print a warning
    and do nothing.
  * keymaps config: support for empty keymaps list so that console-common
    can configure.
    on this package; mentionned this in the copyright file.

 -- Yann Dirson <dirson@debian.org>  Mon, 12 Feb 2001 23:44:22 +0100
